﻿@model IEnumerable<Product>
@{
    ViewData["Title"] = "Index";
}

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Inverse table</h4>
                <div class="table-responsive pt-3">
                    <table class="table table-dark">
                        <thead>
                            <tr>
                                <th>
                                    Image
                                </th>
                                <th>
                                    Name
                                </th>
                                <th>
                                    Price
                                </th>
                                <th>
                                    Discount
                                </th>
                                <th>
                                    Brand
                                </th>
                                <th>
                                    ProductCode
                                </th>
                                <th>
                                    Count
                                </th>
                                <th>
                                    Rate
                                </th>
                                <th>
                                    Categories
                                </th>
                                <th>
                                    Setting
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach (Product product in Model)
                            {
                            <tr>
                                <td>
                                   @*<img src="~/assets/images/product/@product.@Model.ProductImages.FirstOrDefault().Images"  />*@
                                </td>
                                <td>
                                    @product.Name
                                </td>
                                <td>
                                    @product.Price
                                </td>
                                <td>
                                    @product.Discount
                                </td>
                                <td>
                                    @product.Brand
                                </td>
                                
                                <td>
                                    @product.ProductCode
                                </td>
                                <td>
                                    @product.Count
                                </td>
                                <td>
                                    @product.Rate
                                </td>
                                <td>
                                    @*<ul>
                                     <li>Main Category:@Model.ProductCategories.ElementAt(0).Category.Name</li>
                                              @if (Model.ProductCategories.Count() > 1)
                                             {
                                       <li>Child Category:@Model.ProductCategories.ElementAt(1).Category.Name</li>
                                             }
                                     </ul>*@
                                </td>
                                <td>
                                    <a class="btn btn-primary" asp-action="Detail" asp-route-id="@product.Id">Detail</a>
                                    <a class="btn btn-warning" asp-action="Update" asp-route-id="@product.Id">Update</a>
                                    <a class="btn btn-danger" asp-action="Delete" asp-route-id="@product.Id">Delete</a>
                                </td>
                            </tr>
                            }

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

